"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Exponential growth function.
 * Useful to sparse API calls.
 * [400, 800, 1600, 3200, 6400, ...]
 *
 * @param {number} attempt
 *
 * @returns {number}
 */
function exponentialGrowth(attempt) {
    return 200 * Math.pow(2, (attempt + 1));
}
exports.exponentialGrowth = exponentialGrowth;
/**
 * Linear growth function.
 * Useful to sparse API calls.
 * [400, 800, 1200, 1600, 2000, ...]
 *
 * @param {number} attempt
 *
 * @returns {number}
 */
function linearGrowth(attempt) {
    return 400 * (attempt + 1);
}
exports.linearGrowth = linearGrowth;
//# sourceMappingURL=backoff.js.map