import type { ConditionFunction } from './types';
/**
 * Executes the generator, and passes each yielded value to a `stopCondition`
 * function which determine if the generator should be early terminated.
 *
 * @param {Generator} generator
 * @param {Function} stopCondition Given the yielded value, determines if should stop the generator execution.
 *
 * @returns {Generator}
 */
export declare function runGenerator<T, TReturn, TNext>(generator: Generator<T, TReturn, TNext>, stopCondition: ConditionFunction): Generator<T, TReturn, TNext>;
export declare function actionTypeMatches(regex: RegExp): ConditionFunction;
export declare const alwaysFalse: ConditionFunction;
